Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.ui.actions
Class FrameListPopupMenuMouseListener

    java.lang.Object
      java.awt.event.MouseAdapter
          edu.stanford.smi.protege.util.PopupMenuMouseListener
              edu.stanford.smi.protegex.owl.ui.actions.FrameListPopupMenuMouseListener

All Implemented Interfaces:
  MouseListener, EventListener

    public class FrameListPopupMenuMouseListener

extends edu.stanford.smi.protege.util.PopupMenuMouseListener

Author:
  Holger Knublauch

Constructor Summary
`FrameListPopupMenuMouseListener(JList list)`

Method Summary
`protected JPopupMenu` | `getPopupMenu()`
`protected void` | `setSelection(JComponent c, int x, int y)`

Methods inherited from class edu.stanford.smi.protege.util.PopupMenuMouseListener
`mouseClicked, mousePressed, mouseReleased`

Methods inherited from class java.awt.event.MouseAdapter
`mouseEntered, mouseExited`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FrameListPopupMenuMouseListener

    public FrameListPopupMenuMouseListener(JList list)

Method Detail

### getPopupMenu

    protected JPopupMenu getPopupMenu()

  Specified by:
    `getPopupMenu` in class `edu.stanford.smi.protege.util.PopupMenuMouseListener`

### setSelection

    protected void setSelection(JComponent c,
                                int x,
                                int y)

  Specified by:
    `setSelection` in class `edu.stanford.smi.protege.util.PopupMenuMouseListener`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.